Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Thu, 22 Sep 2011 09:46:59 -0300

Em 22-09-2011 00:12, Stephen Rothwell escreveu:
> Hi Mauro,
> 
> After merging the v4l-dvb tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/staging/dt3155v4l/dt3155v4l.c: In function 'dt3155_start_acq':
> drivers/staging/dt3155v4l/dt3155v4l.c:210:2: error: implicit declaration of function 'vb2_dma_contig_plane_paddr'
> drivers/staging/dt3155v4l/dt3155v4l.c: At top level:
> drivers/staging/dt3155v4l/dt3155v4l.c:321:2: warning: initialization from incompatible pointer type
> drivers/staging/dt3155v4l/dt3155v4l.c:325:2: warning: initialization from incompatible pointer type
> 
> Casued by commit ba7fcb0c9549 ("[media] media: vb2: dma contig allocator:
> use dma_addr instread of paddr").
> 
> I have used the v4l-dvb tree from next-20110921 for today.

Hi Stephen,

I think that the right thing to do is to disable the building of this
staging driver, if it is not using the current media core API's.

Greg,

If possible, I prefer to merge those staging drivers for the media
subsystem via my tree, as it helps me to solve in advance conflicts
like that. Maybe we could add a drivers/staging/media tree or
drivers/media/staging, and move those beasts to there.

What do you think?

Thanks,
Mauro